Bug Hunting Session
Bug 69948 - EDITING: insert sheet from file - 'modify link' feature not working
Summary: EDITING: insert sheet from file - 'modify link' feature not working
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: BSA target:4.2.0 target:4.0.6 target:...
Keywords: regression
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-09-30 07:55 UTC by Vineet
Modified: 2013-10-16 00:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vineet 2013-09-30 07:55:47 UTC
Problem description:
I have successfully linked a csv file to worksheet.
Update the link via Edit -- Links -- Update is also working.

Problem -- When I try to modify the link from Edit--Links--Modify -- specify another file -- it shows the name of modified file in place of earlier file.
But upon updating, the worksheet doesn't get modified. No error message. 

Steps to reproduce:
1. Insert--Sheet from file--browse--select a csv file--check-box of "Link" is checked
2. Upon clicking "Update" button, the data gets updated from csv file.
3. Now, in order to specify another file, go to Edit--Links--Modify--Select another csv file. It accepts the new file.

Current behavior:
Upon clicking "update" button, the data DOES NOT get updated.

Expected behavior:
The data from new csv file should get updated in the sheet.
              
Operating System: All
Version: 4.0.4.2 release
Comment 1 m.a.riosv 2013-09-30 09:01:15 UTC
Hi Vineet, thanks for reporting.

Reproducible with:
Win7x64Ultimate
Version 4.0.5.2 (Build ID: 5464147a081647a250913f19c0715bca595af2f)
Version: 4.2.0.0.alpha0+ Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
         TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:42

Not Reproducible with:
Version 3.5.7.2

Confirmed the issue with reported steps.

When saving the file and reopen the new link it is not saved, the old remain.

The main issue is you need to create a new link which is always in a new sheet, what forces to rebuild the dependent references in the spreadsheet, even in other spreadsheets.
Comment 2 Eike Rathke 2013-10-10 23:14:55 UTC
Grabbing, fix in work.
Comment 3 Commit Notification 2013-10-10 23:27:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=823278dd095d754d0f673ef140c36c9fa7ebeffd

resolved fdo#69948 honor a detected FilterName



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2013-10-10 23:41:27 UTC
Pending review
for 4-1 as https://gerrit.libreoffice.org/6207
for 4-0 as https://gerrit.libreoffice.org/6208
Comment 5 Commit Notification 2013-10-11 02:13:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c8e5c2a5cf67661ebf33be5c5c2700a4c389f7c&h=libreoffice-4-0

resolved fdo#69948 honor a detected FilterName


It will be available in LibreOffice 4.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-10-11 13:19:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c42edd592e158d85a2231703552fdac6f13d7425&h=libreoffice-4-1

resolved fdo#69948 honor a detected FilterName


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-10-15 15:46:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e958f2f44a63886e44b265c2120020cb0289a1b&h=libreoffice-4-0-6

resolved fdo#69948 honor a detected FilterName


It will be available already in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 m.a.riosv 2013-10-16 00:12:18 UTC
Thanks Eike.

Works fine in:
Win7x64Ultimate
Version: 4.1.4.0.0+ Build ID: 02a4d733ef24f4350f65179f46d144de7b94879
Version: 4.2.0.0.alpha0+Build ID: 0b0244183ab721ab0e55c42cb5cda841456c2586
         TinderBox: Win-x86@39, Branch:master, Time: 2013-10-15_03:43:11

I can't see any 4.0.x build in the last days.